/*
 * Program:	TCP/IP String IOT Definitions
 *
 * Author(s):	Mark Crispin
 *		Symbolic Systems Resources Group
 *		Knowledge Systems Laboratory
 *		Departments of Computer Science and Medicine
 *		Stanford University
 *		Stanford, CA  94305
 *
 * Date:	21 June 1988
 *
 * Sponsorship:	This work was supported by the Biomedical Research
 *		Technology Program of the National Institutes of Health
 *		under grant number RR-00785.
 *
 * Copyright 1988, 1989 by The Leland Stanford Junior University.
 *
 * This program may be distributed without restriction for non-commercial use.
 * Any sale or use of this program or adaptations thereof for commercial
 * purposes is prohibited except under license from the Stanford Office of
 * Technology Licensing.
 *
 */


/* Coddle certain compilers' 6-character symbol limitation */

#ifdef __COMPILER_KCC__
#define tcp_open topen
#define tcp_getline tgline
#define tcp_getbuffer tgbuf
#define tcp_soutr tsoutr
#define tcp_close tclose
#define tcp_host thost
#define tcp_localhost tlocal
#endif


/* Dummy definition overridden by TCP routines */

#ifndef TCPSTREAM
#define TCPSTREAM void
#endif


/* Function prototypes */

TCPSTREAM *tcp_open (char *host,int port);
char *tcp_getline (TCPSTREAM *stream);
int tcp_getbuffer (TCPSTREAM *stream,unsigned long size,char *buffer);
int tcp_soutr (TCPSTREAM *stream,char *string);
void tcp_close (TCPSTREAM *stream);
char *tcp_host (TCPSTREAM *stream);
char *tcp_localhost (TCPSTREAM *stream);
