/*
 * Program:	Easy Distributed Electronic Mail Manager (EasyMail object)
 *
 * Author(s):	Mark Crispin
 *		Computing And Communications
 *		University of Washington
 *		Seattle, WA  98195
 *
 * Date:	27 July 1989
 *
 * Copyright (c) 1989, 1990 University of Washington
 *
 * This program may be distributed without restriction for non-commercial use.
 * Any sale or use of this program or adaptations thereof for commercial
 * purposes is prohibited except under license.
 *
 */

#import "EasyMail.h"

@implementation EasyMail

// Initialize EasyMail defaults.  Can't use "initialize" factory method.

+ new
{
  self = [super new];		// instantiate ourselves
				// set all our options
  lockedopen = lockedread = autoread = autoopen = autologin = autoexpunge = T;
				// clear all invalid options
  autozoom = closefinalkill = debug = nolinebreaking = nopersonal = NIL;
  return self;			// return ourselves
}


// Save our preferences (subset of MailManager preferences)

- savePreferences:sender
{
  NXDefaultsVector defaults = {
    {"CheckInterval",(char *) [checkInterval stringValue]},
    {"DefaultCcList",(char *) [defaultCcList stringValue]},
    {"DomainName",(char *) [prefDomainName stringValue]},
    {"LiteralDisplay",[literalDisplay intValue] ? "YES" : "NO"},
    {"MTPServer",(char *) [prefMTPServer stringValue]},
    {"OutBox",(char *) [outBox stringValue]},
    {"PersonalName",(char *) [prefPersonalName stringValue]},
    {"Repository",(char *) [prefRepository stringValue]},
    {"UserName",(char *) [prefUserName stringValue]},
    {NIL}
  };
				// write the new default preferences
  NXWriteDefaults ([NXApp appName],defaults);
  return self;
}

@end
