/*
 * Program:	Distributed Electronic Mail Manager (AddressBook object)
 *
 * Author(s):	Mark Crispin
 *		Computing And Communications
 *		University of Washington
 *		Seattle, WA  98195
 *
 * Date:	8 March 1990
 *
 * Copyright (c) 1990 University of Washington
 *
 * This program may be distributed without restriction for non-commercial use.
 * Any sale or use of this program or adaptations thereof for commercial
 * purposes is prohibited except under license.
 *
 */


@interface AddressBook:Object
{
  id entry;			// form of entry items
  id nickname;			// entry nickname
  id name;			// personal name
  id address;			// net e-mail address
  id window;			// our window
  id addressItems;		// view of address items
  Matrix *browser;		// browser of address items
}

- setNickname:anObject;
- setName:anObject;
- setAddress:anObject;
- setWindow:anObject;
- setAddressItems:anObject;
- help:sender;
- window;
- new:sender;
- selectAddress:sender;
- OK:sender;
- add:sender;
- addNickName:(char *) newNickName fullName:(char *) newFullName
 address:(char *) newAddress extra:(char *) newExtra update:(BOOL) update;
- remove:sender;
- lookup:(ADDRESS **) adr;
- (int) find:(char *) t;
- update;

@end
