/*
 * Program:	Distributed Electronic Mail Manager (AddressBookCell class)
 *
 * Author(s):	Mark Crispin
 *		Computing And Communications
 *		University of Washington
 *		Seattle, WA  98195
 *
 * Date:	22 March 1990
 *
 * Copyright (c) 1990 University of Washington
 *
 * This program may be distributed without restriction for non-commercial use.
 * Any sale or use of this program or adaptations thereof for commercial
 * purposes is prohibited except under license.
 *
 */


@interface AddressBookCell : ActionCell
{
  const char *nickName;		// short nickname
  const char *fullName;		// full name
  const char *address;		// electronic mail address
  const char *extra;		// extra information
}

+ new;
- free;
- setNickName:(char *) newNickName fullName:(char *) newFullName
 address:(char *) newAddress extra:(char *) newExtra;
- (const char *) nickName;
- (const char *) fullName;
- (const char *) address;
- (const char *) extra;

@end
