/*
 * Program:	Distributed Electronic Mail Manager (AttachedPanel object)
 *
 * Author(s):	Mark Crispin
 *		Computing And Communications
 *		University of Washington
 *		Seattle, WA  98195
 *
 * Date:	15 May 1989
 *
 * Copyright (c) 1989, 1990 University of Washington
 *
 * This program may be distributed without restriction for non-commercial use.
 * Any sale or use of this program or adaptations thereof for commercial
 * purposes is prohibited except under license.
 *
 */


#import "MailManager.h"

@implementation AttachedPanel

// AttachedPanel's don't center

- center
{
  return self;
}


// AttachedPanel's don't get moved this way either

- moveTopLeftTo:(NXCoord) x :(NXCoord) y
{
  return self;
}

// This should be in the Appkit and done right but...


// "Attach" to the left of a master window

- attachWindow:(Window *) window
{
  NXPoint pt;
  NXRect r;
  [window getFrame:&r];		// get window's rectangle
  pt.x = NX_WIDTH (&r);		// get its top right corner
  pt.y = NX_HEIGHT (&r);
				// get it in screen coordinates
  [window convertBaseToScreen:&pt];
				// move our top left to that place
  [super moveTopLeftTo:pt.x :pt.y];
  return self;
}


@end
