/*
 * Program:	Distributed Electronic Mail Manager (PullOutMenu object)
 *
 * Author(s):	Mark Crispin
 *		Computing And Communications
 *		University of Washington
 *		Seattle, WA  98195
 *
 * Date:	18 July 1989
 *
 * Copyright (c) 1989, 1990 University of Washington
 *
 * This program may be distributed without restriction for non-commercial use.
 * Any sale or use of this program or adaptations thereof for commercial
 * purposes is prohibited except under license.
 *
 */


#import "MailManager.h"

@implementation PullOutMenu

// Create a new PullOutMenu

+ new:(Button *) aButton
{
  id proto;
  self = [super new];		// ask superior to make us
				// pull-down menu style
  [self changeButtonTitle:FALSE];
  NXAttachPopUpList ((button = aButton),self);
  [aButton setIcon:"menuArrow"];
  return self;			// give us back to caller
}

// Add a new item to the list

- addItem:(const char *)title action:(SEL) action;
{
  [[self addItem:title] setAction:action];
  return self;
}


// Position the menu

- moveTopLeftTo:(NXCoord) x :(NXCoord) y
{
#if 0
  NXRect r;
  [button getFrame:&r];		// get position of the button that fired us
  x += NX_WIDTH (&r);		// put us to the right of that button
#endif
  x += 20;
  [super moveTopLeftTo:x :y];	// move to that position
  return self;
}


// Set the geometry of the menu

- sizeWindow:(NXCoord) width :(NXCoord) height
{
  NXRect r;
#if 0
  int rows,cols;
				// get matrix dimensions
  [matrix getNumRows:&rows numCols:&cols];
				// change from vertical to horizontal
  if (rows > 1) [matrix renewRows:1 cols:rows*cols];
#endif
  [matrix sizeToFit];		// resize matrix to hold all the items
  [matrix getFrame:&r];		// get that geometry
				// resize the window to that
  [super sizeWindow:NX_WIDTH (&r) :NX_HEIGHT (&r)];
  return self;
}


@end
