/*
 * Program:	Distributed Electronic Mail Manager (ReadWindow object)
 *
 * Author(s):	Mark Crispin
 *		Computing And Communications
 *		University of Washington
 *		Seattle, WA  98195
 *
 * Date:	1 March 1989
 *
 * Copyright (c) 1989, 1990 University of Washington
 *
 * This program may be distributed without restriction for non-commercial use.
 * Any sale or use of this program or adaptations thereof for commercial
 * purposes is prohibited except under license.
 *
 */


@interface ReadWindow : Object
{
  id messageView;		// message text view
  id window;			// read window
  id answered;			// answered state
  id deleted;			// deleted state
  id flagged;			// flagged state
  id seen;			// seen state
  id display;			// display mode
  id copy;			// Copy button
  id forward;			// Forward button
  id keyword;			// Keyword button
  id reply;			// Reply button
  id attachmentPanel;		// attachment browser panel
  id attachmentView;		// attachment browser view
  Matrix *browser;		// attachment browser
  ScrollView *messageItems;	// message items view in main window
  MAILHANDLE *handle;		// handle on MAIL stream
  SEQUENCE *sequence;		// sequence for this read window
  BOOL OK;			// flag if OK vs. Cancel hit
}

+ new;
- setMessageView:anObject;
- setWindow:anObject;
- setMessageItems:anObject;
- setHandle:(MAILHANDLE *) h;
- setSequence:(SEQUENCE *) seq;
- moveSequence:(SEQUENCE *) seq;
- updateTitle;
- setDisplay:anObject;
- setAttachmentPanel:anObject;
- setAttachmentView:anObject;
- displayMessage:sender;
- doAttachment:sender;
- (char *) writeText:(char *) text using:(SavePanel *) dest;
- close;
- setFreeWhenClosed:(BOOL) flag;
- windowWillClose:sender;
- windowDidMove:sender;
- help:sender;
- print:sender;
- kill:sender;
- next:sender;
- previous:sender;
- setAnswered:anObject;
- setDeleted:anObject;
- setFlagged:anObject;
- setSeen:anObject;
- answer:sender;
- delete:sender;
- flag:sender;
- mark:sender;
- setKeyword:anObject;
- keywordClear:sender;
- keywordSet:sender;
- keyword:sender set:(BOOL) set;
- setCopy:anObject;
- fileCopy:sender;
- fileMove:sender;
- copy:sender delete:(BOOL) del;
- setForward:anObject;
- forward:sender;
- remail:sender;
- setReply:anObject;
- replyAll:sender;
- replySender:sender;
- reply:sender all:(BOOL) all;

@end
