/*
 * Program:	Distributed Electronic Mail Manager (SendWindow object)
 *
 * Author(s):	Mark Crispin
 *		Computing And Communications
 *		University of Washington
 *		Seattle, WA  98195
 *
 * Date:	24 February 1989
 *
 * Copyright (c) 1989, 1990 University of Washington
 *
 * This program may be distributed without restriction for non-commercial use.
 * Any sale or use of this program or adaptations thereof for commercial
 * purposes is prohibited except under license.
 *
 */


@interface SendWindow : Object
{
  id debugging;			// switch for debug
  id from;			// From: list
  id replyTo;			// Reply-To: list
  id to;			// primary recipients
  id cc;			// carbon copy recipients
  id bcc;			// blind carbon recipients
  id subject;			// subject text
  id envelopeView;		// view of message envelope
  id bodyView;			// view of message body
  id window;			// window on the screen
  id attachmentPanel;		// panel of attachments
  id attachmentView;		// view of attachments
  id book;			// address book
  Matrix *browser;		// browser of attachment view
  NXRect envelopeFrame;		// frame of envelope
  int start;			// selection start
  int end;			// selection end
  ENVELOPE *env;		// envelope to give to MTP
  BODY *body;			// body to give to MTP
  BOOL select;			// call selectBody in envelope item actions
}

+ new;
- setWindow:anObject;
- setFrom:anObject;
- setReplyTo:anObject;
- setTo:anObject;
- setCc:anObject;
- setBcc:anObject;
- setSubject:anObject;
- setEnvelopeView:anObject;
- setBodyView:anObject;
- setAttachmentPanel:anObject;
- setAttachmentView:anObject;
- bodyView;
- (ENVELOPE *) msg;
- window;
- help:sender;
- from:sender;
- replyTo:sender;
- to:sender;
- cc:sender;
- bcc:sender;
- setAddress:view :(ADDRESS **) list;
- subject:sender;
- textDidEnd:textObject endChar:(unsigned short) whyEnd;
- (BOOL) textWillEnd:textObject;
- selectBody;
- updateEnvelopeView;
- insertFile:sender;
- attachFile:sender;
- deleteAttachment:sender;
- reformat:sender;
- send:sender;
- exit:sender;
- windowWillClose:sender;
- windowWillResize:sender toSize:(NXSize *) frameSize;
- windowDidMove:sender;
- setDebugging:anObject;
- rcptErr:(ADDRESS *) adr;

@end
