/*
 * Program:	Distributed Electronic Mail Manager (Utilities)
 *
 * Author(s):	Mark Crispin
 *		Computing And Communications
 *		University of Washington
 *		Seattle, WA  98195
 *
 * Date:	9 May 1989
 *
 * Copyright (c) 1989, 1990 University of Washington
 *
 * This program may be distributed without restriction for non-commercial use.
 * Any sale or use of this program or adaptations thereof for commercial
 * purposes is prohibited except under license.
 *
 */


// Support for MailManager streamprops

STREAMPROP {
  MAILSTREAM *stream;		// MAIL stream attached to window
  MBoxWindow *window;		// associated MBoxWindow
  int nmsgs;			// number of messages
  STREAMPROP *previous;		// back pointer
  STREAMPROP *next;		// forward pointer
};


// Support for sequences (created by MBoxWindow, used by ReadWindow)

SEQUENCE {
  MESSAGECACHE *elt;		// cache pointer for this message
  SEQUENCE *previous;		// back pointer
  SEQUENCE *next;		// forward pointer
};

// Function prototypes

void headerline (char *text,MAILSTREAM *stream,MESSAGECACHE *elt);
void selstr (char *str,char *name,const char *arg);
ADDRESS *copy_adr (ADDRESS *adr,ADDRESS *ret);
ADDRESS *remove_adr (ADDRESS *adr,char *text);
DPSTimedEntryProc mm_wakeup (DPSTimedEntry teNumber,double now,void *userData);
void putstreamprop (MAILSTREAM *stream,MBoxWindow *window);
STREAMPROP *getstreamprop (MAILSTREAM *stream);
char *fixnl (char *text);
char *gettext (Text *view);
void linebreak (char *dst,char *src);
void wordcopy (char **wrd,char **dst,char **src,char *end);
void append_msg (FILE *file,ADDRESS *s,char *d,char *hdr,BODY *body);
char *filtered_header (ENVELOPE *env);
void write_address (char *dest,char *tag,ADDRESS *adr);


// Header geometry

#define FLAGS "RFAD"
#define DATE "dd-mmm"
#define FROM "ffffffffffffffffffff"
#define SUBJECT "sssssssssssssssssssssssssssssssss"
#define FLAGSLEN sizeof (FLAGS)
#define DATELEN sizeof (DATE)
#define FROMLEN sizeof (FROM)
#define SUBJECTLEN sizeof (SUBJECT)


// Message geometry

#define MAXLINELENGTH 78
