/*
 * Program:	RFC-822 (RFC822) definitions
 *
 * Author(s):	Mark Crispin
 *		Symbolic Systems Resources Group
 *		Knowledge Systems Laboratory
 *		Departments of Computer Science and Medicine
 *		Stanford University
 *		Stanford, CA  94305
 *
 * Date:	27 July 1988
 *
 * Sponsorship:	This work was supported by the Biomedical Research
 *		Technology Program of the National Institutes of Health
 *		under grant number RR-00785.
 *
 * Copyright 1988, 1989, 1990 by The Leland Stanford Junior University.
 *
 * This program may be distributed without restriction for non-commercial use.
 * Any sale or use of this program or adaptations thereof for commercial
 * purposes is prohibited except under license from the Stanford Office of
 * Technology Licensing.
 *
 */


/* Coddle certain compilers' 6-character symbol limitation */

#ifdef __COMPILER_KCC__
#define rfc822_header rheadr
#define rfc822_address_line radl
#define rfc822_header_line rhdl
#define rfc822_write_address rwaddr
#define rfc822_address raddr
#define rfc822_cat rcat
#define rfc822_parse_msg rpmsg
#define rfc822_parse_adrlist rpadrl
#define rfc822_parse_address rpaddr
#define rfc822_parse_routeaddr rpradr
#define rfc822_parse_addrspec rpaspc
#define rfc822_parse_phrase rpphra
#define rfc822_parse_word rpword
#define rfc822_cpy rcpy
#define rfc822_cpy_adr rcpyad
#define rfc822_skipws rskpws
#endif

/* Function prototypes */

void rfc822_header  ();
void rfc822_address_line  ();
void rfc822_header_line  ();
void rfc822_write_address  ();
void rfc822_address  ();
void rfc822_cat  ();
void rfc822_parse_msg  ();
void rfc822_parse_adrlist  ();
ADDRESS *rfc822_parse_address  ();
ADDRESS *rfc822_parse_routeaddr  ();
ADDRESS *rfc822_parse_addrspec  ();
char *rfc822_parse_phrase  ();
char *rfc822_parse_word  ();
char *rfc822_cpy  ();
ADDRESS *rfc822_cpy_adr  ();
void rfc822_skipws  ();
